> For the complete documentation index, see [llms.txt](https://docs.inverter.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inverter.network/sdk/api/getsimulatedworkflow.md).

# getSimulatedWorkflow

The `getSimulatedWorkflow` method is used to simulate a non-existing workflow.

**Import**: imported as follows

```typescript
import { getSimulatedWorkflow } from '@inverter-network/sdk'
```

**Parameters**: expects the following parameters

{% code overflow="wrap" %}

```ts
{
    // the public client / provider to make RPC calls
    publicClient: PublicClient,
    // the wallet client to sign and submit transactions
    walletClient: WalletClient,
    // The modules which will be deployed
    requestedModules: MixedRequestedModules,
    // The parser config, in charge of decimals, ...
    tagConfig?: TagConfig
    // If there is a token deployment included the bytecode object
    tokenBytecode?: TokenBytecode
}
```

{% endcode %}

**Returns**: an object with the following properties

{% code overflow="wrap" %}

```ts
{
  // Address of the simulated orchestrator
  orchestratorAddress: `0x${string}`
  // Address of the simulated authorizer
  authorizerAddress: `0x${string}`
  // Address of the simulated funding manager
  fundingManagerAddress: `0x${string}`
  // Address of the simulated payment proccessor
  paymentProcessorAddress: `0x${string}`
  // Addresses of the simulated logic modules
  logicModuleAddresses: `0x${string}`[]
  // Bytecode which can be used to deploy the simulated workflow
  bytecode: `0x${string}`
  // The address of the trusted forwarder for said chain
  trustedForwarderAddress: `0x${string}`
  // The address of the inverter factory
  factoryAddress: `0x${string}`
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inverter.network/sdk/api/getsimulatedworkflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
